#
# Fully qualified hostname in prompt to more precisely know which server.
#
# See /etc/csh.cshrc
#
if ($?prompt) then
  if ($?tcsh) then
    set prompt='[%n@%M %c]%# '
  endif
  if ($?TERM) then
    switch($TERM)
      case xterm*:
        if ($?tcsh) then
          set prompt='%{\033]0;%n@%M:%c\007%}[%n@%M %c]%# '
        endif
        breaksw
      case screen:
        if ($?tcsh) then
          set prompt='%{\033k%n@%M:%c\033\\%}[%n@%M %c]%# '
        endif
        breaksw
      default:
        breaksw
    endsw
  endif
endif
